WPSEO_Extensions{}Yoast 1.0

Устарела с версии 15.4. Больше не поддерживается и может быть удалена. Рекомендуется заменить эту функцию на аналог.

Represents the class that contains the list of possible extensions for Yoast SEO.

Хуков нет.

Использование

$WPSEO_Extensions = new WPSEO_Extensions();
// use class methods

Методы

  1. public get()
  2. public invalidate( $extension )
  3. public is_installed( $extension )
  4. public is_valid( $extension )

Список изменений

Устарела с 15.4

Код WPSEO_Extensions{} Yoast 19.11

class WPSEO_Extensions {

	/**
	 * Checks if the plugin has been installed.
	 *
	 * @deprecated 15.4
	 * @codeCoverageIgnore
	 *
	 * @param string $extension The name of the plugin to check.
	 *
	 * @return bool Returns true when installed.
	 */
	public function is_installed( $extension ) {
		_deprecated_function( __METHOD__, 'WPSEO 15.4' );

		return false;
	}

	/**
	 * Invalidates the extension by removing its option.
	 *
	 * @deprecated 15.4
	 * @codeCoverageIgnore
	 *
	 * @param string $extension The extension to invalidate.
	 */
	public function invalidate( $extension ) {
		_deprecated_function( __METHOD__, 'WPSEO 15.4' );
	}

	/**
	 * Checks if the extension is valid.
	 *
	 * @deprecated 15.4
	 * @codeCoverageIgnore
	 *
	 * @param string $extension The extension to get the name for.
	 *
	 * @return bool Returns true when valid.
	 */
	public function is_valid( $extension ) {
		_deprecated_function( __METHOD__, 'WPSEO 15.4' );

		return false;
	}

	/**
	 * Returns the set extensions.
	 *
	 * @deprecated 15.4
	 * @codeCoverageIgnore
	 *
	 * @return array All the extension names.
	 */
	public function get() {
		_deprecated_function( __METHOD__, 'WPSEO 15.4' );

		return [];
	}
}